/**************************************************************************************
SHERICAL SUDOKU PROJECT GAME FILE
Game Name     : All Free
Version       : 1.0
Programmer    : Fahri Aydos (www.aydos.net)
First Version : 2006 05 08
Last Version  : 2006 05 08
---------------------------------------------------------------------------------------
Spherical Sudoku Copyright 2006 by Fahri Aydos
http://sudoku.aydos.net - spherical sudoku official website
---------------------------------------------------------------------------------------
This file is freeware...
You may copy, modify, use and distribute this software,
provided that you do not change this header and include it in all such copies.
**************************************************************************************/

/**************************************************************************************
VERSION HISTORY
version 1.0, 2006 05 08
**************************************************************************************/

function start_new_game() {
	var i, r, x, y, z;
	if (gamestat==1)
		return;
	init_table();
	gamestat = 1;
	r = 33;
	for(i=0;i<r;i++) {
		x = Math.floor(Math.random()*10);
		y = Math.floor(Math.random()*10)%9+1;
		if(x%2==0) {
			rotate("r",y);
		} else {
			rotate("d",y);
		}
	}
	gamestat = 2;
	fill_table();
	return false;
}

function write_table() {
	var i, j;
	document.write('<table class=sdk>');
	document.write('<tr><td>&nbsp;</td>');
	for (j=1;j<=9;j++) {
		document.write('<td class=box><input name=btnu'+j+' type=image src="u.gif" onclick="btnclick(this);"></td>');
	}
	document.write('<td>&nbsp;</td></tr>');
	for (i=1;i<=9;i++) {
		document.write('<tr>');
		di = i%3?i%3:3;
		document.write('<td class=box><input name=btnl'+i+' type=image src="l.gif" onclick="btnclick(this);"></td>');
		for (j=1;j<=9;j++) {
			dj = j%3?j%3:3;
			k = di*3+dj-3;
			document.write('<td class="bdr'+k+'"><input id=box'+i+j+' class=box readonly></td>');
		}
		document.write('<td class=box><input name=btnr'+i+' type=image src="r.gif" onclick="btnclick(this);"></td>');
		document.write('</tr>');
	}
	document.write('<tr><td>&nbsp;</td>');
	for (j=1;j<=9;j++) {
		document.write('<td class=box><input name=btnd'+j+' type=image src="d.gif" onclick="btnclick(this);"></td>');
	}
	document.write('<td>&nbsp;</td></tr>');
	document.write('</table>');
}

function rotate(a,b) {
	var i;
	if(a=="r"){
		s = sudoku[b][9];
		for (i=9;i>1;i--) {
			sudoku[b][i] = sudoku[b][i-1];
		}
		sudoku[b][1] = s;
	}
	if(a=="l"){
		s = sudoku[b][1];
		for (i=1;i<9;i++) {
			sudoku[b][i] = sudoku[b][i+1];
		}
		sudoku[b][9] = s;
	}
	if(a=="d"){
		s = sudoku[9][b];
		for (i=9;i>1;i--) {
			sudoku[i][b] = sudoku[i-1][b];
		}
		sudoku[1][b] = s;
	}
	if(a=="u"){
		s = sudoku[1][b];
		for (i=1;i<9;i++) {
			sudoku[i][b] = sudoku[i+1][b];
		}
		sudoku[9][b] = s;
	}
	fill_table();
}

function btnclick(btn) {
	var a, b;
	a = String(btn.name).substring(3,4);
	b = String(btn.name).substring(4,5);
	rotate(a,b);
}